cURL
curl \
-X DELETE 'MEILISEARCH_URL/keys/6062abda-a5aa-4414-ac91-ecd7944c0f8d' \
-H 'Authorization: Bearer MASTER_KEY'client.deleteKey('6062abda-a5aa-4414-ac91-ecd7944c0f8d')$client->deleteKey('6062abda-a5aa-4414-ac91-ecd7944c0f8d');client.delete_key('6062abda-a5aa-4414-ac91-ecd7944c0f8d')client.deleteKey("6062abda-a5aa-4414-ac91-ecd7944c0f8d")client.delete_key('6062abda-a5aa-4414-ac91-ecd7944c0f8d')client.DeleteKey("6062abda-a5aa-4414-ac91-ecd7944c0f8d")client.DeleteKeyAsync("6062abda-a5aa-4414-ac91-ecd7944c0f8d")let key = client
.get_key("6062abda-a5aa-4414-ac91-ecd7944c0f8d")
.await
.unwrap();
client
.delete_key(&key)
.await?;await client.deleteKey('6062abda-a5aa-4414-ac91-ecd7944c0f8d');client.deleteKey(keyOrUid: "6062abda-a5aa-4414-ac91-ecd7944c0f8d") { result in
switch result {
case .success:
print("success")
case .failure(let error):
print(error)
}
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "The API key was not found.",
"code": "api_key_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#api_key_not_found"
}Keys
Delete API key
Permanently delete the specified API key. The key will no longer be valid for authentication.
DELETE
/
keys
/
{key}
cURL
curl \
-X DELETE 'MEILISEARCH_URL/keys/6062abda-a5aa-4414-ac91-ecd7944c0f8d' \
-H 'Authorization: Bearer MASTER_KEY'client.deleteKey('6062abda-a5aa-4414-ac91-ecd7944c0f8d')$client->deleteKey('6062abda-a5aa-4414-ac91-ecd7944c0f8d');client.delete_key('6062abda-a5aa-4414-ac91-ecd7944c0f8d')client.deleteKey("6062abda-a5aa-4414-ac91-ecd7944c0f8d")client.delete_key('6062abda-a5aa-4414-ac91-ecd7944c0f8d')client.DeleteKey("6062abda-a5aa-4414-ac91-ecd7944c0f8d")client.DeleteKeyAsync("6062abda-a5aa-4414-ac91-ecd7944c0f8d")let key = client
.get_key("6062abda-a5aa-4414-ac91-ecd7944c0f8d")
.await
.unwrap();
client
.delete_key(&key)
.await?;await client.deleteKey('6062abda-a5aa-4414-ac91-ecd7944c0f8d');client.deleteKey(keyOrUid: "6062abda-a5aa-4414-ac91-ecd7944c0f8d") { result in
switch result {
case .success:
print("success")
case .failure(let error):
print(error)
}
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "The API key was not found.",
"code": "api_key_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#api_key_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Path Parameters
The uid or key field of an existing API key.
Response
The key has been removed.
Was this page helpful?